<!doctype html public "-//W3C//DTD HTML 4.0 //EN">

<html>

<head>
<title>Ajax Inline Edit </title>

<script type="text/javascript" src="jquery-1.2.6.min.js"></script>
<link href="dependencies/screen.css" type="text/css" rel="stylesheet" />

<script type="text/javascript">
// <![CDATA[	

	$(document).ready(function(){	
		
		$('#save').hide();
		$('#cancel').hide();
		
		$('#editPanel').click(function() {  
			
			$('#editPanel').attr('contentEditable', true);
			$('#editPanel').focus();
			$('#editPanel').css('cursor','text');
			
			$('#save').fadeIn();
			$('#cancel').fadeIn();
			
		});
		
		$('#save').click(function(){    
			
			var text = $('#editPanel').html();
			//alert(text);
			$("#Mesg").html('<img  src="load.gif" id="loader" />');
			
			 $.ajax({
				type: "POST",
				url: "update.php?text=" + text,
				success: function(){
				
				 $("#Mesg").html('Text Updated !');
				 
				 $('#editPanel').attr('contentEditable', false);
				 $('#editPanel').css('cursor','pointer');
				 
				 $('#save').fadeOut();
				 $('#cancel').fadeOut();
				 
				}
			 });
		 });
		 
		 $('#cancel').click(function(){    
		 
		 	$('#editPanel').attr('contentEditable', false);
			 $('#editPanel').css('cursor','pointer');
			 
			 $('#save').fadeOut();
			 $('#cancel').fadeOut();
		 });
		 
	});
	
// ]]>
</script>

</head>
<body>

	<div align="center">
		
		<h1>
			Ajax Inline Edit 
		</h1>
		
		<br clear="all" />
		
		<div id="wrap">
			
			<div id="Mesg">&nbsp;</div>
			
			<?php  include_once('update.php');?>
			
			<a href="#" id="save" class="save">Save</a>
			<a href="#" id="cancel" class="cancel">Cancel</a>
			<br clear="all" />
		</div>
		
		
	</div>

	<br clear="all" /><br clear="all" /><br clear="all" />
	<br clear="all" />

</body>
</html>
